陈德馨

WordPress升级/安装主题插件提示权限不足的解决办法

783人参与 |分类: 站长百科|时间:2014年05月30日 12:55

今天,在一个博客群里有博友说他的博客在升级 WordPress 时提示权限不足,我在网上搜索了一下,原来还真的有好多博友遇到这个问题,主要原因是在某些主机上 WordPress 更新,或者升级插件或者主题时会提示一个输入FTP信息的页面。

下面,陈德馨就来说说 WordPress 升级/安装主题插件提示权限不足的解决办法。

在你的 wp-config.php 中插入:

define("FS_METHOD", "direct");
define("FS_CHMOD_DIR", 0777);
define("FS_CHMOD_FILE", 0777);

这样类似phpCloud的服务器就OK了,如果这方法搞不定,就需要设置一下文件属性,以便Apache/Nginx可以有权限覆盖掉旧文件。

登录SSH输入以下命令:

chmod -R 755 /root/xiumu/wordpress
chown -R nobody /root/xiumu/wordpress

其中/root/xiumu/wordpress是你的WP安装目录。

来源:陈德馨博客(微信/QQ号:35435164),转载请保留出处和链接!

地址:

必填

选填

选填

◎已有 0 人评论,请发表您的观点。